start:		
	move.b	#0,d0		
	move.b	#1,d1		
;---------------------------------------------------------------------------------------------------------------
	 sub.w d0,d1	; d1=d1-d0	
	;cmp.w d0,d1	; d1=d1-d0	
	;tst.w d0		; 
	;move.w #-1,d3
;---------------------------------------------------------------------------------------------------------------
; Branches depending on flag status:
	;bra bcc		; if (d1 >= d0)						- BHS = BCC - branch on carry clear C
	;bra bcs		; if (d1 < d0)						- BCS branch on carry set C	
	;bra bne		; if (d1-d0 > 0 || d1-d0 < 0)		- BNE branch on not equal Z
	;bra beq		; if (d1 = d0)						- BEQ branch on equal Z
	;bra bvc		;									- BVC branch on overflow clear V
	;bra bvs		;									- BVS branch on overflow set V
	;bra bmi		; if (d1-d0 < 0)					- BMI branch on minus (i.e., negative) N
	;bra bpl		; if (d1-d0 > 0)					- BPL branch on plus (i.e., positive) N

; Branches after unsigned comparison:  0-255,	 0-65535,	0-4.294.967.295
	 bra bhi		; if (d1 > d0)						- BHI branch on higher than 
	;bra bhs		; if (d1 >= d0)						- BHS = BCC branch on higher than or same
	;bra blo		; if (d1 < d0)						- BLO = BCS branch on less than
	;bra bls		; if (d1 <= d0)						- BLS branch on lower than or same
	;bra bne ; bra beq	
	
; Branches after signed comparison:	-128 bis 127 ; -32.768 bis 32767 ; -2.147.483.648 bis 2.147.483.647
	;bra bgt		; if (d1 > d0)						- BGT branch on greater than
	;bra bge		; if (d1 >= d0)						- BGE branch on greater than or equal
	;bra blt		; if (d1 < d0)						- BLT branch on less than
	;bra ble		; if (d1 <= d0)						- BLE branch on less than or equal
	;bra bne ; bra beq	
;---------------------------------------------------------------------------------------------------------------
bpl:
	bpl.s	positiv			; wenn Ergebnis positiv ist wird gesprungen, 
	bra exit				; d.h. das N-Flag darf nicht gesetzt sein
;----------------------------------------------------------------------------------------------------------------
bls:
	bls.s	kleiner_gleich	
	bra exit				
;----------------------------------------------------------------------------------------------------------------
beq:
	beq.s	gleich			; wenn Ergebnis gleich ist wird gesprungen,
	bra exit				; d.h. das Z-Flag muss gesetzt sein	
;----------------------------------------------------------------------------------------------------------------
bne:
	bne.s	ungleich		; wenn Ergebnis ungleich ist wird gesprungen, 
	bra exit				; d.h. das Z-Flag darf nicht gesetzt sein	
;----------------------------------------------------------------------------------------------------------------
bmi:
	bmi.s	minus			; wenn Ergebnis kleiner Null ist wird gesprungen, 
	bra exit				; d.h. das N-Flag muss gesetzt sein	
;----------------------------------------------------------------------------------------------------------------
blt:
	blt.s	kleiner			
	bra exit				
;----------------------------------------------------------------------------------------------------------------
bgt:
	bgt.s	groesser			
	bra exit
;----------------------------------------------------------------------------------------------------------------
bge:
	bge.s	groesser_gleich			
	bra exit
;----------------------------------------------------------------------------------------------------------------
ble:
	ble.s	kleiner_gleich			
	bra exit
;----------------------------------------------------------------------------------------------------------------
bhi:
	bhi.s	groesser		
	bra exit
;----------------------------------------------------------------------------------------------------------------
bhs:
	bhs.s	groesser_gleich		
	bra exit
;----------------------------------------------------------------------------------------------------------------
blo:
	blo.s	kleiner			
	bra exit
;----------------------------------------------------------------------------------------------------------------
bcc:
	bcc.s	groesser_gleich			
	bra exit
;----------------------------------------------------------------------------------------------------------------
bcs:		
	bcs.s	kleiner			
	bra exit
;----------------------------------------------------------------------------------------------------------------
bvc:
	bvc.s	bvc1			
	bra exit
;----------------------------------------------------------------------------------------------------------------
bvs:
	bvs.s	bvs1			
	bra exit
;----------------------------------------------------------------------------------------------------------------
; Sprungmarken
positiv:
	move.w	#20,d3
kleiner_gleich:
	move.w	#20,d3
gleich:
	move.w	#20,d3
ungleich:
	move.w	#20,d3
minus:
	move.w	#20,d3
kleiner:
	move.w	#20,d3
groesser:
	move.w	#20,d3
groesser_gleich	
	move.w	#20,d3
bvc1:
	move.w	#20,d3
bvs1:
	move.w	#20,d3
;----------------------------------------------------------------------------------------------------------------
exit:
	rts


	end
